SELECT
    warpSkyCellMap.*,
    chipProcessedImfile.uri
FROM warpRun
JOIN warpSkyCellMap
    USING(warp_id)
JOIN camProcessedExp
    ON warpSkyCellMap.cam_id = camProcessedExp.cam_id
JOIN chipProcessedImfile
    ON camProcessedExp.chip_id = chipProcessedImfile.chip_id
    AND warpSkyCellMap.class_id = chipProcessedImfile.class_id
WHERE
    warpRun.state = 'run'

